[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] Problem Upgrading from LVM1 to LVM2



On Sun, 9 Jan 2005, Luca Berra wrote:

> On Sun, Jan 09, 2005 at 01:51:17PM -0500, Mark T. Valites wrote:
> >I'd like to upgrade my LVM1 based machine to LVM2. I recently compiled a
> >new 2.4.28 kernel and patched in the
> >linux-2.4.26-rc1-devmapper-ioctl.patch patch from;
> >
> >ftp://sources.redhat.com/pub/dm/patches/2.4-stable/2.4.26/linux-2.4.26-rc1-devmapper-ioctl.patch
> >
> >A copy of my kernel config is available here:
> >
> >http://www.geneseo.edu/~valites/config-2.4.28-x86_mythtv-dev_mapper
> >
> use only one of lvm1 or device-mapper.

Hmm. Taking LVM1 one support out of my kernel (# CONFIG_BLK_DEV_LVM is not
set) didn't seem to help. I still get:

myth:~# pvscan
  logical extent (56202) already mapped.
  Couldn't fill logical volume maps.
  No matching physical volumes found
myth:~# vgscan
  Reading all physical volumes.  This may take a while...
  logical extent (56202) already mapped.
  Couldn't fill logical volume maps.
  Volume group "music_vg" not found

And of course the LVM1 tools don't work now. Any ideas?

-- 
Mark T. Valites
Unix Systems Analyst
Computing & Information Technology
SUNY Geneseo
>--))> >--))>



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]